Nimbu Developer Docs
ReferenceConsent

Fetch the consent configuration

GET
/settings/consent

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

X-Nimbu-Site*string

Site identifier

Response Body

application/json

curl -X GET "https://example.com/settings/consent" \  -H "X-Nimbu-Site: string"
{
  "privacy_policy_kind": "string",
  "privacy_policy_url": {},
  "privacy_policy_page_id": "string",
  "purposes": [
    {
      "name": "string",
      "description": {}
    }
  ],
  "applications": [
    {
      "name": "string",
      "title": {},
      "description": {},
      "purposes": [
        "string"
      ],
      "required": true,
      "default": true,
      "opt_out": true,
      "placeholder_message": {},
      "placeholder_action": {},
      "cookies": [
        {}
      ]
    }
  ],
  "cookies": [
    {
      "id": "string",
      "name": "string",
      "path": "string",
      "domain": "string",
      "application": "string"
    }
  ]
}
Empty